package com.ruoyi.invest.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 打分对象 t_project_scoring
 * 
 * @author ruoyi
 * @date 2024-02-23
 */
public class TProjectScoring extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private String projectPoolId;

    /** 投资总监 */
    @Excel(name = "投资总监")
    private String investCommissioner;

    /** 会议ID */
    private String meetingId;

    /** 打分人 */
    @Excel(name = "打分人")
    private String scoringPerson;

    /** 类型（1：立项；2：投决） */
    @Excel(name = "类型", readConverterExp = "1=：立项；2：投决")
    private String type;

    /** 产业优势- */
    private String industryAdvantage;

    /** 产业优势-备注 */
    private String industryAdvantageNote;

    /** 商业模式- */
    private String businessModel;

    /** 商业模式-备注 */
    private String businessModelNote;

    /** 核心团队优秀- */
    private String teamExperience;

    /** 核心团队优秀-备注 */
    private String teamExperienceNote;

    /** 核心团队优秀- */
    private String teamBackground;

    /** 核心团队优秀-备注 */
    private String teamBackgroundNote;

    /** 核心团队优秀- */
    private String teamHeart;

    /** 核心团队优秀-备注 */
    private String teamHeartNote;

    /** 核心团队优秀- */
    private String teamFaith;

    /** 核心团队优秀-备注 */
    private String teamFaithNote;

    /** 初步产品原型- */
    private String productBase;

    /** 初步产品原型-备注 */
    private String productBaseNote;

    /** 初步产品原型- */
    private String productProfit;

    /** 初步产品原型-备注 */
    private String productProfitNote;

    /** 机构认可- */
    private String organInvest;

    /** 机构认可-备注 */
    private String organInvestNote;

    /** 机构认可- */
    private String organValuation;

    /** 机构认可-备注 */
    private String organValuationNote;

    /** 估值 */
    private String valuation;

    /** 估值-备注 */
    private String valuationNote;

    /** 市场空间大 */
    private String marketSpace;

    /** 市场空间大-备注 */
    private String marketSpaceNote;

    /** 成长空间大 */
    private String developSpace;

    /** 成长空间大-备注 */
    private String developSpaceNote;

    /** 退出方式 */
    private String quitWay;

    /** 退出方式-备注 */
    private String quitWayNote;

    /** 描述 */
    private String illustrate;

    /** 是否同意 */
    private String examine;

    /** 状态 */
    private String delFlag;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setProjectPoolId(String projectPoolId) 
    {
        this.projectPoolId = projectPoolId;
    }

    public String getProjectPoolId() 
    {
        return projectPoolId;
    }
    public void setInvestCommissioner(String investCommissioner) 
    {
        this.investCommissioner = investCommissioner;
    }

    public String getInvestCommissioner() 
    {
        return investCommissioner;
    }
    public void setScoringPerson(String scoringPerson) 
    {
        this.scoringPerson = scoringPerson;
    }

    public String getScoringPerson() 
    {
        return scoringPerson;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setIndustryAdvantage(String industryAdvantage) 
    {
        this.industryAdvantage = industryAdvantage;
    }

    public String getIndustryAdvantage() 
    {
        return industryAdvantage;
    }
    public void setIndustryAdvantageNote(String industryAdvantageNote) 
    {
        this.industryAdvantageNote = industryAdvantageNote;
    }

    public String getIndustryAdvantageNote() 
    {
        return industryAdvantageNote;
    }
    public void setBusinessModel(String businessModel) 
    {
        this.businessModel = businessModel;
    }

    public String getBusinessModel() 
    {
        return businessModel;
    }
    public void setBusinessModelNote(String businessModelNote) 
    {
        this.businessModelNote = businessModelNote;
    }

    public String getBusinessModelNote() 
    {
        return businessModelNote;
    }
    public void setTeamExperience(String teamExperience) 
    {
        this.teamExperience = teamExperience;
    }

    public String getTeamExperience() 
    {
        return teamExperience;
    }
    public void setTeamExperienceNote(String teamExperienceNote) 
    {
        this.teamExperienceNote = teamExperienceNote;
    }

    public String getTeamExperienceNote() 
    {
        return teamExperienceNote;
    }
    public void setTeamBackground(String teamBackground) 
    {
        this.teamBackground = teamBackground;
    }

    public String getTeamBackground() 
    {
        return teamBackground;
    }
    public void setTeamBackgroundNote(String teamBackgroundNote) 
    {
        this.teamBackgroundNote = teamBackgroundNote;
    }

    public String getTeamBackgroundNote() 
    {
        return teamBackgroundNote;
    }
    public void setTeamHeart(String teamHeart) 
    {
        this.teamHeart = teamHeart;
    }

    public String getTeamHeart() 
    {
        return teamHeart;
    }
    public void setTeamHeartNote(String teamHeartNote) 
    {
        this.teamHeartNote = teamHeartNote;
    }

    public String getTeamHeartNote() 
    {
        return teamHeartNote;
    }
    public void setTeamFaith(String teamFaith) 
    {
        this.teamFaith = teamFaith;
    }

    public String getTeamFaith() 
    {
        return teamFaith;
    }
    public void setTeamFaithNote(String teamFaithNote) 
    {
        this.teamFaithNote = teamFaithNote;
    }

    public String getTeamFaithNote() 
    {
        return teamFaithNote;
    }
    public void setProductBase(String productBase) 
    {
        this.productBase = productBase;
    }

    public String getProductBase() 
    {
        return productBase;
    }
    public void setProductBaseNote(String productBaseNote) 
    {
        this.productBaseNote = productBaseNote;
    }

    public String getProductBaseNote() 
    {
        return productBaseNote;
    }
    public void setProductProfit(String productProfit) 
    {
        this.productProfit = productProfit;
    }

    public String getProductProfit() 
    {
        return productProfit;
    }
    public void setProductProfitNote(String productProfitNote) 
    {
        this.productProfitNote = productProfitNote;
    }

    public String getProductProfitNote() 
    {
        return productProfitNote;
    }
    public void setOrganInvest(String organInvest) 
    {
        this.organInvest = organInvest;
    }

    public String getOrganInvest() 
    {
        return organInvest;
    }
    public void setOrganInvestNote(String organInvestNote) 
    {
        this.organInvestNote = organInvestNote;
    }

    public String getOrganInvestNote() 
    {
        return organInvestNote;
    }
    public void setOrganValuation(String organValuation) 
    {
        this.organValuation = organValuation;
    }

    public String getOrganValuation() 
    {
        return organValuation;
    }
    public void setOrganValuationNote(String organValuationNote) 
    {
        this.organValuationNote = organValuationNote;
    }

    public String getOrganValuationNote() 
    {
        return organValuationNote;
    }
    public void setValuation(String valuation) 
    {
        this.valuation = valuation;
    }

    public String getValuation() 
    {
        return valuation;
    }
    public void setValuationNote(String valuationNote) 
    {
        this.valuationNote = valuationNote;
    }

    public String getValuationNote() 
    {
        return valuationNote;
    }
    public void setMarketSpace(String marketSpace) 
    {
        this.marketSpace = marketSpace;
    }

    public String getMarketSpace() 
    {
        return marketSpace;
    }
    public void setMarketSpaceNote(String marketSpaceNote) 
    {
        this.marketSpaceNote = marketSpaceNote;
    }

    public String getMarketSpaceNote() 
    {
        return marketSpaceNote;
    }
    public void setDevelopSpace(String developSpace) 
    {
        this.developSpace = developSpace;
    }

    public String getDevelopSpace() 
    {
        return developSpace;
    }
    public void setDevelopSpaceNote(String developSpaceNote) 
    {
        this.developSpaceNote = developSpaceNote;
    }

    public String getDevelopSpaceNote() 
    {
        return developSpaceNote;
    }
    public void setQuitWay(String quitWay) 
    {
        this.quitWay = quitWay;
    }

    public String getQuitWay() 
    {
        return quitWay;
    }
    public void setQuitWayNote(String quitWayNote) 
    {
        this.quitWayNote = quitWayNote;
    }

    public String getQuitWayNote() 
    {
        return quitWayNote;
    }
    public void setIllustrate(String illustrate) 
    {
        this.illustrate = illustrate;
    }

    public String getIllustrate() 
    {
        return illustrate;
    }
    public void setExamine(String examine) 
    {
        this.examine = examine;
    }

    public String getExamine() 
    {
        return examine;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public String getMeetingId() {
        return meetingId;
    }

    public void setMeetingId(String meetingId) {
        this.meetingId = meetingId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectPoolId", getProjectPoolId())
            .append("investCommissioner", getInvestCommissioner())
            .append("scoringPerson", getScoringPerson())
            .append("type", getType())
            .append("industryAdvantage", getIndustryAdvantage())
            .append("industryAdvantageNote", getIndustryAdvantageNote())
            .append("businessModel", getBusinessModel())
            .append("businessModelNote", getBusinessModelNote())
            .append("teamExperience", getTeamExperience())
            .append("teamExperienceNote", getTeamExperienceNote())
            .append("teamBackground", getTeamBackground())
            .append("teamBackgroundNote", getTeamBackgroundNote())
            .append("teamHeart", getTeamHeart())
            .append("teamHeartNote", getTeamHeartNote())
            .append("teamFaith", getTeamFaith())
            .append("teamFaithNote", getTeamFaithNote())
            .append("productBase", getProductBase())
            .append("productBaseNote", getProductBaseNote())
            .append("productProfit", getProductProfit())
            .append("productProfitNote", getProductProfitNote())
            .append("organInvest", getOrganInvest())
            .append("organInvestNote", getOrganInvestNote())
            .append("organValuation", getOrganValuation())
            .append("organValuationNote", getOrganValuationNote())
            .append("valuation", getValuation())
            .append("valuationNote", getValuationNote())
            .append("marketSpace", getMarketSpace())
            .append("marketSpaceNote", getMarketSpaceNote())
            .append("developSpace", getDevelopSpace())
            .append("developSpaceNote", getDevelopSpaceNote())
            .append("quitWay", getQuitWay())
            .append("quitWayNote", getQuitWayNote())
            .append("illustrate", getIllustrate())
            .append("examine", getExamine())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
